SDL_AudioDevicePaused(3)

NAME
SDL_AudioDevicePaused - Use this function to query if an audio device is paused.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_AudioDevicePaused(SDL_AudioDeviceID dev);

DESCRIPTION
Unlike in SDL2, audio devices start in an _unpaused_ state, since an app has to bind a stream before any audio will flow. Physical devices can not be paused or unpaused, only logical devices created through SDL_OpenAudioDevice () can be. Physical and invalid device IDs will report themselves as unpaused here.

FUNCTION PARAMETERS

dev a device opened by SDL_OpenAudioDevice ()

RETURN VALUE
Returns SDL_TRUE
 if device is valid and paused, SDL_FALSE
 otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_PauseAudioDevice(3), SDL_ResumeAudioDevice(3)